Diferencias entre vías de actualización


#1

Hola.

Tengo dos instalaciones de owncloud diferentes y funcionando perfectamente. Una es mi owncloud personal, funcionando en mi raspberry y la otra la tengo habilitada en el trabajo con aproximadamente 80 usuarios. Ambas tienen instalado Owncloud 8.2.8 y activado el canal "producción" para actualizaciones. Siempre que hay alguna actualización la aplico primero en mi raspberry (por si algo falla) y cuando veo que todo va bien la aplico en el servidor principal. En cuanto a funcionamiento, cero problemas en ambas instalaciones.

El tema es que la versión 9 lleva tiempo "cocinada" y me extraña mucho que el propio owncloud no me haya sugerido cambiar a la versión 9, así que he optado por activar en la raspberry el canal "beta" para que me aparezca y actualizar, y en ese momento se me acumularon problemas. Primero me sugirió actualizar a la 9.0."algo" y luego a la 9.1."algo" (no recuerdo qué versiones eran). Ya la actualización a la versión 9.0 me pareció extraña, pero luego he visto que la actualización a la rama de la 9.1 era también problemática, por los que opté por restaurar copia de seguridad y dejarlo todo como estaba (otra cosa no, pero copias de seguridad no me faltan). En otro momento en el que disponga de más tiempo me pelearé con esto.

Sé que la rama de "producción" es precisamente para eso... para mantener el sistema estable y que no aparezcan actualizaciones que no estén lo suficientemente probadas, pero me extraña que a estas alturas no me "invite" a pasarme a la versión 9. ¿No es recomendable instalar la versión 9 de momento en entornos de producción? Es que me extraña mucho, ya que es la versión que se invita a instalar desde la página principal de owncloud, y si es así me extraña que se invite a instalar una versión que no es de producción.

Por cierto... empecé con owncloud en la version 8.0, y aunque he ido aplicando todas las actualizaciones de la rama 8 como un reloj es mi primera migración a una versión superior (no sé cómo se hizo cuando se pasó de la 7 a la 8 o de la 6 a la 7).

También me extraña que siga habiendo actualizaciones de la rama 8 cuando ya hace tiempo que existe la versión 9. ¿Cuánto tiempo van a durar?

Cuando podáis a ver si me podéis resolver estas dudas. Ya veis que no es nada crucial (mis sistemas ahora mismo funcionan perfectamente), pero no encuentro respuesta a esto por ningún lado.


#2

Hola!
Ahora tienes la 8.2.8 en producción? Si te sugiere actualizar, lo hace a qué versión de las estables?


#3

Efectivamente. Tengo la 8.2.8 en producción y no me sugiere hacer ninguna actualización en este momento.

Eso sí... cuando cambio a "beta" me sugiere de inmediato pasar a la 9.0.5., pero visto el panorama decidí restaurar backup y volver hacia atrás.


#4

Por cierto... me olvidé de decirte. En la 8,2,8 no me sugiere actualizar a nada en "producción".


#5

Hola, yo inicie en mi servidor desde la versión 9.0, configurada para que me alertara por las versiones estables mas recientes (ojo yo me fui por las versiones estables y no las de producción), y desde hace tiempo me aparecía el mensaje de que actualizara a la versión 9.0.4... por lo que te pudiera decir que actualices a esa versión, o en su defecto a la 9.0.

Comentar que hace algunos pocos días hice la actualización a la versión 9.1.1, según entiendo es una versión estable, pero OC no me la sugirió.


(Pie de pagina del administrador en mi OC)

Por otro lado veo en la pagina de administración que hay que configurar a que grupos se les va informar sobre las actualizaciones, como se muestra en la siguiente imagen.

Tal vez sea lo que te falta configurar para que te pueda alertar sobre las actualización.

SALUDOS.


#6

Después de escribir la entrada anterior entre a esta URL, y entiendo que las alertas suelen tardar en mostrarte, pero hay un enlace para que te registres tu correo a una lista donde te mandaran la información sobre las actualizaciones (mi ingles es malisimo, pero algo así dice).

También recomendarte leer atentamente el ultimo párrafo, entiendo que por ejemplo en tu caso, no saltes de 8.X.X que tienes directamente a la 9.1.1, si no que deberías ir a la 9.0.5 y ya de ahí a la 9.1.1.

Saludos nuevamente.